Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq
Class ConnectionToken

    java.lang.Object
      org.jboss.mq.ConnectionToken

All Implemented Interfaces:
  Serializable

public class ConnectionToken
extends Object
implements Serializable

This class is the broker point of view on a SpyConnection (it contains a ConnectionReceiver). Remember that for most IL's it will be serialized!

Version:
  $Revision: 1.8 $
Author:
  Norbert Lataille, Hiram Chirino, Peter Antman, Adrian Brock
See Also:
  Serialized Form

Field Summary
`protected String` | `clientID` The clientID of the connection.
`ClientIL` | `clientIL` Used by the server to callback to client.

Constructor Summary
`ConnectionToken(String clientID, ClientIL clientIL)` Create a new ConnectionToken
`ConnectionToken(String clientID, ClientIL clientIL, String sessionId)` Create a new ConnectionToken

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getClientID()` Get the client id
`String` | `getSessionId()` Get the session id
`int` | `hashCode()`
`void` | `setClientID(String clientID)` Set the client id
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### clientIL

    public ClientIL clientIL

  Used by the server to callback to client. Will (most of the time) be serialized when sent to the server.

### clientID

    protected String clientID

  The clientID of the connection.

Constructor Detail

### ConnectionToken

    public ConnectionToken(String clientID,
                           ClientIL clientIL)

  Create a new ConnectionToken

Parameters:
  `clientID` - the client id
  `clientIL` - the client il

### ConnectionToken

    public ConnectionToken(String clientID,
                           ClientIL clientIL,
                           String sessionId)

  Create a new ConnectionToken

Parameters:
  `clientID` - the client id
  `clientIL` - the client il
  `sessionId` - the session id

Method Detail

### getClientID

    public String getClientID()

  Get the client id

  Returns:
    the client id

### setClientID

    public void setClientID(String clientID)

  Set the client id

  Parameters:
    `clientID` - the client id

### getSessionId

    public String getSessionId()

  Get the session id

  Returns:
    the session id

### equals

    public boolean equals(Object obj)

### hashCode

    public int hashCode()

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.